Index: /WAeUP_SRP/base/skins/waeup_epayment/pay_by_sc.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_epayment/pay_by_sc.py	(revision 2618)
+++ /WAeUP_SRP/base/skins/waeup_epayment/pay_by_sc.py	(revision 2619)
@@ -84,6 +84,5 @@
 #from Products.zdb import set_trace; set_trace()
 info = {}
-order_id = ds.get('pin_n')
-p_id = "p%s" % order_id
+p_id = "p%s" % ds.get('pin_n')
 pin = str(ds.get('pin'))
 try:
@@ -100,6 +99,6 @@
     info['date'] = now
     info['amount'] = cost
-    pin = info['order_id'] = "%s" % (pin)
-    info['type_code'] = "%s" % pin
+    pin = info['order_id'] = "%s" % pin
+    info['type_code'] = "%s" % pin  #type_code is redundant and will be removed soon
     info['type_description'] = 'School Fee for Session %s' % next_session_str
     info['resp_code'] = "SC"
@@ -117,5 +116,5 @@
     except:
         pass
-    verdict = s_brain.verdict    
+    verdict = s_brain.verdict
     study_course.getContent().edit(mapping= {'current_level': next_level_id,
                                              'current_session': next_session_id,
Index: /WAeUP_SRP/base/skins/waeup_epayment/pay_interswitch.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_epayment/pay_interswitch.py	(revision 2618)
+++ /WAeUP_SRP/base/skins/waeup_epayment/pay_interswitch.py	(revision 2619)
@@ -57,9 +57,9 @@
 if fulltime:
     pay_item_id = "6100"
-    info['type_code'] = sbrain.faculty
+    info['type_code'] = sbrain.faculty   #type_code is redundant and will be removed soon
     info['bank'] = ''
 else:
     pay_item_id = "6101"
-    info['type_code'] = sbrain.course
+    info['type_code'] = sbrain.course  #type_code is redundant and will be removed soon
     info['bank'] = ''
 info['payment_possible'] = True
@@ -72,7 +72,7 @@
 now = DateTime.DateTime()
 info['date'] = now
-order_id = info['order_id'] = "%d" % int(now.timeTime()*1000)
-info['order_id'] = "%s%s" % (student_id[1:],order_id)
-p_id = "p%s" % order_id
+timestamp = "%d" % int(now.timeTime()*1000)
+info['order_id'] = "%s%s" % (student_id[1:],timestamp)
+p_id = "p%s" % timestamp
 
 if student_id is None:
Index: /WAeUP_SRP/uniben/profiles/default/payments_catalog.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/payments_catalog.xml	(revision 2618)
+++ /WAeUP_SRP/uniben/profiles/default/payments_catalog.xml	(revision 2619)
@@ -2,24 +2,44 @@
 <?xml-stylesheet type="text/xsl" href="catalog.xsl"?>
 <object name="payments_catalog" meta_type="WAeUP Table">
- <column value="id"/>
+ <column value="order_id"/>
  <column value="student_id"/>
- <column value="pay_type"/>
- <column value="pay_date"/>
- <column value="pay_result"/>
- <column value="pay_result_txt"/>
+ <column value="date"/>
+ <column value="type_description"/>
  <column value="amount"/>
- <column value="amount_payed"/>
- <column value="confirmation_code"/>
- <index name="id" meta_type="FieldIndex">
-  <indexed_attr value="id"/>
+ <column value="resp_pay_reference"/>
+ <column value="resp_desc"/>
+ <column value="resp_code"/>
+ <column value="resp_card_num"/>
+ <column value="resp_approved_amount"/>
+ <column value="faculty"/>
+ <column value="department"/>
+ <column value="certificate"/>
+ <column value="review_state"/>
+ 
+ 
+ <index name="order_id" meta_type="FieldIndex">
+  <indexed_attr value="order_id"/>
  </index>
  <index name="student_id" meta_type="FieldIndex">
   <indexed_attr value="student_id"/>
  </index>
- <index name="pay_type" meta_type="KeywordIndex">
-  <indexed_attr value="pay_type"/>
+ <index name="date" meta_type="DateIndex">
+  <indexed_attr value="date"/>
  </index>
- <index name="pay_date" meta_type="DateIndex">
-  <indexed_attr value="pay_type"/>
- </index>
+ <index name="faculty" meta_type="FieldIndex">
+  <indexed_attr value="faculty"/>
+ </index> 
+ <index name="department" meta_type="FieldIndex">
+  <indexed_attr value="department"/>
+ </index> 
+ <index name="resp_code" meta_type="FieldIndex">
+  <indexed_attr value="resp_code"/>
+ </index> 
+ <index name="resp_desc" meta_type="KeywordIndex">
+  <indexed_attr value="resp_desc"/>
+ </index>  
+  <index name="review_state" meta_type="FieldIndex">
+  <indexed_attr value="review_state"/>
+ </index> 
+ 
 </object>