Index: WAeUP_SRP/base/skins/cps_custom/config_form.pt
===================================================================
--- WAeUP_SRP/base/skins/cps_custom/config_form.pt	(revision 2627)
+++ WAeUP_SRP/base/skins/cps_custom/config_form.pt	(revision 2628)
@@ -82,4 +82,15 @@
       <tr>
         <th>
+          <label>
+            Static Directory on Server
+          </label>
+        </th>
+        <td>
+          <input name="static_dir" id="portal_session" value=""
+                 tal:attributes="value pprops/static_dir" />
+        </td>
+      </tr>        
+      <tr>
+        <th>
           <label for="portal_description"
                  i18n:translate="label_portal_description">
Index: WAeUP_SRP/base/skins/cps_custom/reconfig.py
===================================================================
--- WAeUP_SRP/base/skins/cps_custom/reconfig.py	(revision 2627)
+++ WAeUP_SRP/base/skins/cps_custom/reconfig.py	(revision 2628)
@@ -17,4 +17,5 @@
     description=form.get('description'),
     session=form.get('session'),
+    static_dir=form.get('static_dir'),
     )
 
Index: WAeUP_SRP/base/skins/waeup_design/header_lib_header.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_design/header_lib_header.pt	(revision 2627)
+++ WAeUP_SRP/base/skins/waeup_design/header_lib_header.pt	(revision 2628)
@@ -18,13 +18,13 @@
   <metal:block define-slot="base"></metal:block>
   <link rel="stylesheet" type="text/css" media="all"
-    tal:attributes="href string:${base_url}default.css" />
+    tal:attributes="href string:${static_base_url}default.css" />
   <link tal:condition="btool|nothing" rel="stylesheet" type="text/css"
     media="all" tal:attributes="href string:${base_url}boxes.css" />
   <tal:block replace="structure string:&lt;!--[if IE]&gt;" /><link
     rel="stylesheet" type="text/css"
-    tal:attributes="href string:${base_url}msie.css" /><tal:block
+    tal:attributes="href string:${static_base_url}msie.css" /><tal:block
     replace="structure string:&lt;![endif]--&gt;" />
   <link rel="stylesheet" type="text/css" media="print"
-    tal:attributes="href string:${base_url}default_print.css"/>
+    tal:attributes="href string:${static_base_url}default_print.css"/>
   <meta http-equiv="imagetoolbar" content="no" />
   <metal:block define-slot="head_slot"></metal:block>
@@ -32,11 +32,11 @@
   <link rel="stylesheet" type="text/css" media="all"
     tal:condition="exists: here/custom.css"
-    tal:attributes="href string:${base_url}custom.css;"/>
+    tal:attributes="href string:${static_base_url}custom.css;"/>
   <link rel="stylesheet" type="text/css" media="all"
     tal:define="custom_css here/getCPSCustomCSS|nothing"
     tal:condition="custom_css"
-    tal:attributes="href string:${base_url}${custom_css}"/>
+    tal:attributes="href string:${static_base_url}${custom_css}"/>
   <metal:block define-slot="javascript_head_slot"></metal:block>
   <script type="text/javascript"
-    tal:attributes="src string:${base_url}functions.js"></script>
+    tal:attributes="src string:${static_base_url}functions.js"></script>
 </metal:block>
Index: WAeUP_SRP/base/skins/waeup_design/main_template.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_design/main_template.pt	(revision 2627)
+++ WAeUP_SRP/base/skins/waeup_design/main_template.pt	(revision 2628)
@@ -11,4 +11,6 @@
   context_url python:here.getContextUrl(utool=utool);
   here_url here/absolute_url;
+  static_dir here/portal_properties/static_dir;
+  static_base_url string:${here/getBaseUrl}${static_dir};
   base_url here/getBaseUrl;
   member mtool/getAuthenticatedMember;
@@ -47,7 +49,7 @@
         <metal:block fill-slot="style_slot">
           <link rel="stylesheet" type="text/css" media="all"
-                tal:attributes="href string:${base_url}common.css" />
+                tal:attributes="href string:${static_base_url}common.css" />
           <link rel="stylesheet" type="text/css" media="all"
-                tal:attributes="href string:${base_url}${waeup_skin}/render.css" />
+                tal:attributes="href string:${static_base_url}${waeup_skin}/render.css" />
           <metal:block define-slot="style_slot" />
         </metal:block>
@@ -58,9 +60,9 @@
       <link rel="icon"
             href="ng.png"
-            tal:attributes="href string:${base_url}ng.png"
+            tal:attributes="href string:${static_base_url}ng.png"
             type="image/png" />
       <link rel="shortcut icon"
             href="icons/ng.png"
-            tal:attributes="href string:${base_url}ng.png"
+            tal:attributes="href string:${static_base_url}ng.png"
             type="image/png" />
     </head>
@@ -85,8 +87,8 @@
             <td style="width: 20px;"></td>
             <td valign="top" style="width: 120px; padding: 10px 10px 0 0; text-align: right;">
-              <img tal:attributes="src string:${base_url}logo_left.jpg"  alt="Logo" />
+              <img tal:attributes="src string:${static_base_url}logo_left.jpg"  alt="Logo" />
             </td>
             <td style="padding: 27px 0 0 0; text-align: left;" valign="top">
-              <img tal:attributes="src string:${base_url}logo_right.gif" alt="Logo" />
+              <img tal:attributes="src string:${static_base_url}logo_right.gif" alt="Logo" />
             </td>
             <td style="width: 20px;"></td>
Index: WAeUP_SRP/base/skins/waeup_design/slip_template.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_design/slip_template.pt	(revision 2627)
+++ WAeUP_SRP/base/skins/waeup_design/slip_template.pt	(revision 2628)
@@ -11,5 +11,7 @@
   context_url python:here.getContextUrl(utool=utool);
   here_url here/absolute_url;
-  base_url here/getBaseUrl;
+  base_url here/getBaseUrl;  
+  static_dir here/portal_properties/static_dir;
+  static_base_url string:${base_url}${static_dir};  
   member mtool/getAuthenticatedMember;
   isAnon mtool/isAnonymousUser;
@@ -43,5 +45,5 @@
         <metal:block fill-slot="style_slot">
           <link rel="stylesheet" type="text/css" media="all"
-                tal:attributes="href string:${base_url}common.css" />
+                tal:attributes="href string:${static_base_url}common.css" />
           <metal:block define-slot="style_slot" />
         </metal:block>
@@ -52,9 +54,9 @@
       <link rel="icon"
             href="ng.png"
-            tal:attributes="href string:${base_url}ng.png"
+            tal:attributes="href string:${static_base_url}ng.png"
             type="image/png" />
       <link rel="shortcut icon"
             href="icons/ng.png"
-            tal:attributes="href string:${base_url}ng.png"
+            tal:attributes="href string:${static_base_url}ng.png"
             type="image/png" />
     </head>
@@ -77,9 +79,9 @@
           <td style="width: 20px;" valign="top"></td>
           <td valign="top" style="width: 80px; padding: 0.5em; text-align: right;">
-            <img tal:attributes="src string:${base_url}logo_left.jpg"  alt="Logo"
+            <img tal:attributes="src string:${static_base_url}logo_left.jpg"  alt="Logo"
                      height="84" width="82" />
           </td>
           <td style="padding: 2em 0em 0em 0em; text-align: left;" valign="top">
-            <img tal:attributes="src string:${base_url}logo_right.gif" 
+            <img tal:attributes="src string:${static_base_url}logo_right.gif" 
                      alt="Logo" height="51" width="234" />
           </td>