Index: WAeUP_SRP/base/skins/waeup_student/course_registration_slip.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/course_registration_slip.pt	(revision 2614)
+++ WAeUP_SRP/base/skins/waeup_student/course_registration_slip.pt	(revision 2630)
@@ -1,3 +1,3 @@
-<metal:body use-macro="here/slip_template/macros/master">
+  <metal:body use-macro="here/slip_template/macros/master">
   <metal:main fill-slot="main"
               tal:define="info context/getStudyLevelInfo;"
@@ -63,12 +63,15 @@
             <tr tal:repeat="row info/carry_overs"
                 tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-              <td width="72%" tal:content="row/title"></td>
+              <td width="74%" tal:content="row/title"></td>
               <td align="center" width="10%" tal:content="row/code"></td>
               <td align="center" width="2%">S<span tal:content="row/semester" /></td>
-              <td align="center" width="2%" tal:content="row/credits"></td>
-              <td align="center" width="14%"> <span tal:content="row/coe|nothing" /></td>
+              <td align="center" width="4%" tal:content="row/credits"></td>
+              <td align="center" width="10%">CO</td>
             </tr>
           </table>
         </span>
+        
+        <br />
+        
         <h4>Session Courses</h4>
         <br />
@@ -81,17 +84,8 @@
         <tr tal:repeat="row python: test(sem == '1',info['normal1'],info['normal2'])"
             tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-          <td align="left" valign="middle" style="width: 5px;"
-             tal:condition="show_check_boxes">
-            <input type="checkbox" name="ids:list" value="" id="" class="noborder"
-                   tal:define="id row/id"
-                   tal:attributes="value id;
-                   id python:'cb_' + id;
-                   checked python:id in info['choosen_ids'];" 
-                   />
-          </td>
-          <td width="71%" tal:content="row/title"></td>
+          <td width="74%" tal:content="row/title"></td>
           <td align="center" width="10%" tal:content="row/code"></td>
           <td align="center" width="2%">S<span tal:content="row/semester" /></td>
-          <td align="center" width="2%" tal:content="row/credits"></td>
+          <td align="center" width="4%" tal:content="row/credits"></td>
           <td align="center" width="10%" tal:content="row/coe|nothing"></td>
           
@@ -109,17 +103,9 @@
         <tr tal:condition="info/normal3" tal:repeat="row info/normal3"
             tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-          <td align="left" valign="middle" style="width: 5px;"
-             tal:condition="show_check_boxes">
-            <input type="checkbox" name="ids:list" value="" id="" class="noborder"
-                   tal:define="id row/id"
-                   tal:attributes="value id;
-                   id python:'cb_' + id;
-                   checked python:id in info['choosen_ids'];" 
-                   />
-          </td>
-          <td width="71%" tal:content="row/title"></td>
+
+          <td width="74%" tal:content="row/title"></td>
           <td align="center" width="10%" tal:content="row/code"></td>
           <td align="center" width="2%">S<span tal:content="row/semester" /></td>
-          <td align="center" width="2%" tal:content="row/credits"></td>
+          <td align="center" width="4%" tal:content="row/credits"></td>
           <td align="center" width="10%" tal:content="row/coe|nothing"></td>
           
@@ -136,8 +122,8 @@
         
           <tr>
-            <td width="82%" colspan="2" align="right">Total Credits:</td>
+            <td width="84%" colspan="2" align="right">Total Credits:</td>
             <td width="2%">&nbsp;</td>
-            <td width="2%" tal:content="info/credits_total"></td>
-            <td width="14%">&nbsp;</td>
+            <td width="4%" tal:content="info/credits_total"></td>
+            <td width="10%">&nbsp;</td>
           </tr>
         </table>
Index: WAeUP_SRP/base/skins/waeup_student/external_study_level_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/external_study_level_view.pt	(revision 2614)
+++ WAeUP_SRP/base/skins/waeup_student/external_study_level_view.pt	(revision 2630)
@@ -48,9 +48,9 @@
                      />
             </td>
-            <td width="72%" tal:content="row/title"></td>
+            <td width="69%" tal:content="row/title"></td>
             <td align="center" width="10%" tal:content="row/code"></td>
             <td align="center" width="2%">S<span tal:content="row/semester" /></td>
-            <td align="center" width="2%" tal:content="row/credits"></td>
-            <td align="center" width="9%" tal:content="row/coe|nothing"></td>
+            <td align="center" width="4%" tal:content="row/credits"></td>
+            <td align="center" width="10%">CO</td>
           </tr>
         </table>
@@ -60,31 +60,74 @@
         <h4>Session Courses</h4>
         <br />
-        <div class="" tal:condition="not: info/normal">
-          Your faculty has not yet provided the list of courses for your certificate. Please contact your faculty!
-        </div>
+    <div class="" tal:condition="python: not (info['normal1'] or info['normal2'] or info['normal3'])">
+      <font color="red">Your faculty has not yet provided the list of courses for your certificate. Please contact your faculty!</font>
+      <br /><br />
+    </div>
          
-         <table class="contentListing" width="100%" id="folder_content" tal:condition="info/normal">      
-          <tr tal:repeat="row info/normal"
-              tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-              
-            <td align="left" valign="middle" width="5%" tal:condition="show_check_boxes">
-              <input type="checkbox" name="ids:list" value="" id="" class="noborder"
-                     tal:define="id row/id"
-                     tal:attributes="value id;
-                     id python:'cb_' + id;
-                     checked python:id in info['choosen_ids'];" 
-                     />
-            </td>
-            <td width="72%" tal:content="row/title"></td>
-            <td align="center" width="10%" tal:content="row/code"></td>
-            <td align="center" width="2%">S<span tal:content="row/semester" /></td>
-            <td align="center" width="2%" tal:content="row/credits"></td>
-            <td align="center" width="9%" tal:content="row/coe|nothing"></td>
-          </tr>
+      <table class="contentListing" width="100%" id="folder_content">
+        
+        <span tal:repeat="sem python:('1','2')">       
+        <tr><th colspan="5" tal:content="python: test(sem == '1','First Semester', 'Second Semester')" /></tr>                
+        <tr tal:repeat="row python: test(sem == '1',info['normal1'],info['normal2'])"
+            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+          <td align="left" valign="middle" style="width: 5%;"
+             tal:condition="show_check_boxes">
+            <input type="checkbox" name="ids:list" value="" id="" class="noborder"
+                   tal:define="id row/id"
+                   tal:attributes="value id;
+                   id python:'cb_' + id;
+                   checked python:id in info['choosen_ids'];" 
+                   />
+          </td>
+          <td width="69%" tal:content="row/title"></td>
+          <td align="center" width="10%" tal:content="row/code"></td>
+          <td align="center" width="2%">S<span tal:content="row/semester" /></td>
+          <td align="center" width="4%" tal:content="row/credits"></td>
+          <td align="center" width="10%" tal:content="row/coe|nothing"></td>
+          
+          <td tal:condition="python:review_state == 'school_fee_paid'" width="5%" align="center">
+          <a href="edit" tal:attributes="href string:course_edit/${row/code}"
+          target="edit"
+          onclick="javascript:window.open('','edit','width=600, height=350, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
+          [edit]
+          </a> 
+          </td>          
+        </tr>
+
+        </span>        
+        
+        <tr><th colspan="5" tal:condition="info/normal3"> Combined</th></tr>                
+        <tr tal:condition="info/normal3" tal:repeat="row info/normal3"
+            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+          <td align="left" valign="middle" style="width: 5%;"
+             tal:condition="show_check_boxes">
+            <input type="checkbox" name="ids:list" value="" id="" class="noborder"
+                   tal:define="id row/id"
+                   tal:attributes="value id;
+                   id python:'cb_' + id;
+                   checked python:id in info['choosen_ids'];" 
+                   />
+          </td>
+          <td width="69%" tal:content="row/title"></td>
+          <td align="center" width="10%" tal:content="row/code"></td>
+          <td align="center" width="2%">S<span tal:content="row/semester" /></td>
+          <td align="center" width="4%" tal:content="row/credits"></td>
+          <td align="center" width="10%" tal:content="row/coe|nothing"></td>
+          
+          <td tal:condition="python:review_state == 'school_fee_paid'" width="5%" align="center">
+          <a href="edit" tal:attributes="href string:course_edit/${row/code}"
+          target="edit"
+          onclick="javascript:window.open('','edit','width=600, height=350, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
+          [edit]
+          </a> 
+          </td>          
+        </tr>              
+         
+
           <tr>
             <td width="5%" tal:condition="show_check_boxes">&nbsp;</td>
-            <td width="82%" colspan="2" align="right">Total Credits:</td>
+            <td width="80%" colspan="2" align="right">Total Credits:</td>
             <td width="2%">&nbsp;</td>
-            <td width="2%" align="center" tal:content="info/credits_total"></td>
+            <td width="4%" align="center" tal:content="info/credits_total"></td>
             <td width="9%">&nbsp;</td>
           </tr>
Index: WAeUP_SRP/base/skins/waeup_student/study_level_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/study_level_view.pt	(revision 2614)
+++ WAeUP_SRP/base/skins/waeup_student/study_level_view.pt	(revision 2630)
@@ -47,5 +47,5 @@
             tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
       
-          <td align="left" valign="middle" style="width: 5px;"
+          <td align="left" valign="middle" style="width: 5%;"
               tal:condition="show_check_boxes">
             <input type="checkbox" name="ids:list" value="" id="" class="noborder"
@@ -56,8 +56,8 @@
                    />
           </td>
-          <td width="71%" tal:content="row/title"></td>
+          <td width="68%" tal:content="row/title"></td>
           <td align="center" width="10%" tal:content="row/code"></td>
           <td align="center" width="2%">S<span tal:content="row/semester" /></td>
-          <td align="center" width="2%" tal:content="row/credits"></td>
+          <td align="center" width="4%" tal:content="row/credits"></td>
           <td align="center" width="10%"> <span tal:content="row/coe|nothing" /></td>
           <td tal:condition="python:review_state == 'school_fee_paid'" align="center" width="5%">&nbsp;</td>
@@ -80,5 +80,5 @@
         <tr tal:repeat="row python: test(sem == '1',info['normal1'],info['normal2'])"
             tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-          <td align="left" valign="middle" style="width: 5px;"
+          <td align="left" valign="middle" style="width: 5%;"
              tal:condition="show_check_boxes">
             <input type="checkbox" name="ids:list" value="" id="" class="noborder"
@@ -89,8 +89,8 @@
                    />
           </td>
-          <td width="71%" tal:content="row/title"></td>
+          <td width="68%" tal:content="row/title"></td>
           <td align="center" width="10%" tal:content="row/code"></td>
           <td align="center" width="2%">S<span tal:content="row/semester" /></td>
-          <td align="center" width="2%" tal:content="row/credits"></td>
+          <td align="center" width="4%" tal:content="row/credits"></td>
           <td align="center" width="10%" tal:content="row/coe|nothing"></td>
           
@@ -109,5 +109,5 @@
         <tr tal:condition="info/normal3" tal:repeat="row info/normal3"
             tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-          <td align="left" valign="middle" style="width: 5px;"
+          <td align="left" valign="middle" style="width: 5%;"
              tal:condition="show_check_boxes">
             <input type="checkbox" name="ids:list" value="" id="" class="noborder"
@@ -118,8 +118,8 @@
                    />
           </td>
-          <td width="71%" tal:content="row/title"></td>
+          <td width="68%" tal:content="row/title"></td>
           <td align="center" width="10%" tal:content="row/code"></td>
           <td align="center" width="2%">S<span tal:content="row/semester" /></td>
-          <td align="center" width="2%" tal:content="row/credits"></td>
+          <td align="center" width="4%" tal:content="row/credits"></td>
           <td align="center" width="10%" tal:content="row/coe|nothing"></td>
           
@@ -141,5 +141,5 @@
           <td colspan="1"></td>
           <th colspan="2">Total Credits:</th>
-          <td align="center" width="2%" tal:content="info/credits_total"></td>
+          <td align="center" width="4%" tal:content="info/credits_total"></td>
         </tr>
       </table>