Index: WAeUP_SRP/base/Students.py
===================================================================
--- WAeUP_SRP/base/Students.py	(revision 2634)
+++ WAeUP_SRP/base/Students.py	(revision 2640)
@@ -1515,5 +1515,6 @@
     def Title(self):
         """compose title"""
-        return "Level %s" % self.aq_parent.getId()
+        return self.portal_vocabularies.student_levels.get(self.aq_parent.getId())
+        #return "Level %s" % self.aq_parent.getId()
 
     def create_course_results(self,cert_id,current_level): ###(
Index: WAeUP_SRP/base/doc/srp_documentation.mm
===================================================================
--- WAeUP_SRP/base/doc/srp_documentation.mm	(revision 2634)
+++ WAeUP_SRP/base/doc/srp_documentation.mm	(revision 2640)
@@ -197,8 +197,8 @@
 </node>
 </node>
-<node CREATED="1170082200667" FOLDED="true" ID="Freemind_Link_140160478" MODIFIED="1170082364784" TEXT="Payments">
+<node CREATED="1170082200667" ID="Freemind_Link_140160478" MODIFIED="1170082364784" TEXT="Payments">
 <node CREATED="1171711430276" ID="Freemind_Link_86727434" MODIFIED="1171711435834" TEXT="Id: payments"/>
 <node CREATED="1171711367726" ID="Freemind_Link_1873791240" MODIFIED="1171711381666" TEXT="Type: PaymentsFolder"/>
-<node CREATED="1170082366149" FOLDED="true" ID="Freemind_Link_1718065298" MODIFIED="1171711406291" TEXT="{Payments}">
+<node CREATED="1170082366149" ID="Freemind_Link_1718065298" MODIFIED="1171711406291" TEXT="{Payments}">
 <node CREATED="1171711413572" ID="Freemind_Link_116328775" MODIFIED="1171711419660" TEXT="Type: Payment"/>
 <node CREATED="1170883263996" ID="Freemind_Link_39098989" LINK="../profiles/default/schemas/payment.xml" MODIFIED="1170959080069" TEXT="Schema: payment"/>
@@ -302,13 +302,14 @@
 <node CREATED="1170931308473" ID="Freemind_Link_249696543" MODIFIED="1170931315740" TEXT="Catalogs">
 <node CREATED="1170931319920" ID="Freemind_Link_1633117071" MODIFIED="1171712108641" TEXT="Portal Catalog"/>
+<node CREATED="1171712082483" ID="Freemind_Link_1157029282" LINK="../profiles/default/accommodation.xml" MODIFIED="1172055262232" TEXT="Accommodation Table"/>
 <node CREATED="1171712109062" ID="Freemind_Link_1264506858" LINK="../profiles/default/applicants_catalog.xml" MODIFIED="1187006324354" TEXT="Applicants Catalog"/>
 <node CREATED="1171712109062" ID="Freemind_Link_769089546" LINK="../profiles/default/courses_catalog.xml" MODIFIED="1172055793074" TEXT="Courses Catalog"/>
 <node CREATED="1171712109062" ID="Freemind_Link_964376607" LINK="../profiles/default/course_results.xml" MODIFIED="1186484772138" TEXT="Course Results"/>
-<node CREATED="1171712109062" ID="Freemind_Link_879910437" LINK="../profiles/default/students_catalog.xml" MODIFIED="1172055153081" TEXT="Students Catalog"/>
+<node CREATED="1171712109062" ID="Freemind_Link_1489747181" LINK="../profiles/default/payments_catalog.xml" MODIFIED="1194941577384" TEXT="Payments Catalog"/>
+<node CREATED="1171712137653" ID="Freemind_Link_371928033" LINK="../profiles/default/pins.xml" MODIFIED="1172055286995" TEXT="Pins Table"/>
+<node CREATED="1171712154817" ID="Freemind_Link_1307066201" LINK="../profiles/default/pumeresults.xml" MODIFIED="1172055646399" TEXT="PUME/PDE Resuts Table"/>
 <node CREATED="1171712063356" ID="Freemind_Link_1865945880" LINK="../profiles/default/returning_import.xml" MODIFIED="1172055126664" TEXT="Returning Import Table"/>
 <node CREATED="1171712077046" ID="Freemind_Link_1703381403" LINK="../profiles/default/results_import.xml" MODIFIED="1172055188090" TEXT="Session Results Import Table"/>
-<node CREATED="1171712082483" ID="Freemind_Link_1157029282" LINK="../profiles/default/accommodation.xml" MODIFIED="1172055262232" TEXT="Accommodation Table"/>
-<node CREATED="1171712137653" ID="Freemind_Link_371928033" LINK="../profiles/default/pins.xml" MODIFIED="1172055286995" TEXT="Pins Table"/>
-<node CREATED="1171712154817" ID="Freemind_Link_1307066201" LINK="../profiles/default/pumeresults.xml" MODIFIED="1172055646399" TEXT="PUME/PDE Resuts Table"/>
+<node CREATED="1171712109062" ID="Freemind_Link_879910437" LINK="../profiles/default/students_catalog.xml" MODIFIED="1172055153081" TEXT="Students Catalog"/>
 </node>
 <node CREATED="1172001308558" FOLDED="true" ID="Freemind_Link_1997267023" MODIFIED="1172490300476" TEXT="Profiles">
Index: WAeUP_SRP/base/skins/waeup_student/getStudyCourseInfo.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/getStudyCourseInfo.py	(revision 2634)
+++ WAeUP_SRP/base/skins/waeup_student/getStudyCourseInfo.py	(revision 2640)
@@ -81,4 +81,5 @@
 
 current_level = sbrain.level
+set_trace
 levels = context.objectIds()
 review_state = wftool.getInfoFor(context,'review_state',None)
@@ -87,16 +88,19 @@
     wftool.doActionFor(context,'close_for_edit')
 may_register = (student_review_state in ('school_fee_paid',)) and\
-               current_level not in levels and\
-               (previous_verdict in ('A','B','C','F','J','L','M') or sbrain.level == '100' or (sbrain.mode.startswith('de') and sbrain.level == '200'))
-
+                current_level not in levels and\
+                (previous_verdict in ('A','B','C','F','J','L','M') or\
+                sbrain.level == '100' or\
+               (sbrain.mode.startswith('de') and sbrain.level == '200'))
 levels.sort()
 info['create_level'] = None
+student_levels_voc = context.portal_vocabularies.student_levels
 if may_register:
     info['create_level'] = current_level
+    info['create_level_str'] = student_levels_voc.get(current_level)
 for l in levels:
     row = {}
     row['id'] = l
-    row['title'] = "Level %s" % l
-    #row['title'] = context.portal_vocabularies.levels_voc[l]
+    #row['title'] = "Level %s" % l
+    row['title'] = student_levels_voc.get(l)
     row['url'] = "%s/%s" % (context.absolute_url(),l)
     items.append(row)
Index: WAeUP_SRP/base/skins/waeup_student/get_student_levels.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/get_student_levels.py	(revision 2634)
+++ 	(revision )
@@ -1,28 +1,0 @@
-##parameters=key=None
-# $Id$
-"""
-Return the levels as an vocabulary
-#
-try:
-    from Products.zdb import set_trace
-except:
-    def set_trace():
-        pass
-"""
-
-if key is None:
-    return [("%s" % l,"Level %s" % l) for l in range(100,700,100)]
-ikey = int(key)
-level_nr,repeat = divmod(ikey, 100)
-l = []
-student = context.students_catalog(id = context.getStudentId())[0]
-
-level = context.portal_vocabularies.levels.get("%d00" % level_nr)
-if level_nr > int(student.end_level)/100:
-    return "%s (spillover)" % context.portal_vocabularies.levels.get("%d00" % (level_nr - 1))
-
-if repeat > 0:
-    level += " (on %d. probation)" % (repeat // 10)
-
-return level
-
Index: WAeUP_SRP/base/skins/waeup_student/student_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/student_view.pt	(revision 2634)
+++ WAeUP_SRP/base/skins/waeup_student/student_view.pt	(revision 2640)
@@ -1,161 +1,142 @@
 <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main" 
-           tal:define="info context/getStudentFolderInfo;
-                       baseinfo context/getStudentBaseInfo">
-      <metal:block tal:condition="not: info">
-        <span tal:content="here/illegal_view" />
-      </metal:block>
-      <metal:block tal:condition="info">
+  <metal:main fill-slot="main" 
+              tal:define="info context/getStudentFolderInfo;
+              baseinfo context/getStudentBaseInfo"
+              >
+    <metal:block tal:condition="not: info">
+      <span tal:content="here/illegal_view" />
+    </metal:block>
+    <metal:block tal:condition="info">
       <metal:block tal:define="review_state info/review_state;
-                        rows python: info['items'];
-                        is_so info/is_sectionofficer|nothing;
-                        is_staff info/is_staff|nothing;
-                        is_student info/is_student">
-
-      <a href="" tal:condition="is_staff"
-         tal:attributes="href string:${here/academicsParent}">
-        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
-        Up one level
-      </a>
+      rows python: info['items'];
+      is_so info/is_sectionofficer|nothing;
+      is_staff info/is_staff|nothing;
+      is_student info/is_student"
+      >
+        <a href="" tal:condition="is_staff"
+           tal:attributes="href string:${here/academicsParent}">
+          <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+          Up one level
+        </a>
         <h3 tal:content="info/name" />
         <br />
-        
-        
-        
-      <table>
-        <tr>
-          <td width="220px">Registration Number:</td> 
-          <td><span tal:content="baseinfo/student/jamb_reg_no" /></td>
-        </tr>
-        <tr>
-          <td>Matriculation Number:</td> 
-          <td><span tal:content="baseinfo/student/matric_no" /></td>
-        </tr>      
-        <tr>
-          <td>Certificate Code:</td> 
-          <td><span tal:content="baseinfo/student/course" /></td>
-        </tr>
-        <tr>
-          <td>Faculty Id:</td>
-          <td tal:content="baseinfo/student/faculty" />
-        </tr>
-        <tr>
-          <td>Department Id:</td> 
-          <td><span tal:content="baseinfo/student/department" /></td>
-        </tr>
-        <tr>
-          <td>Current Session:</td> 
-          <td><span tal:content="python:context.portal_vocabularies.sessions.get(baseinfo['student']['session'])" /></td>
-        </tr>
-        <tr>
-          <td>Current Study Level:</td> 
-          <td><span tal:content="python:context.portal_vocabularies.levels.get(baseinfo['student']['level'])" /></td>
-        </tr>
-        <tr>
-          <td>Current Study Mode:</td> 
-          <td><span tal:content="python:context.portal_vocabularies.entry_modes.get(baseinfo['student']['mode'])" /></td>
-        </tr>        
-        <tr tal:define="verdict python:context.portal_vocabularies.verdicts.get(baseinfo['student']['verdict'])">
-          <td>Current Verdict:</td> 
-          <td><span tal:condition="verdict" tal:content="python:verdict.upper()" /></td>
-        </tr>
-      </table>           
-        
-      <br />
-      
-      <table tal:condition="is_staff" class="contentListing" width="100%" summary="content layout" id="folder_content">      
-
-        <span tal:repeat="row rows">
-        <tr tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-          <td><a href="view" tal:attributes="href string:${row/url}">
-            <strong tal:content="row/title" /></a> </td>
-          <td> 
-          <a tal:condition="python: row['is_editable'] and not row['type'] in ('StudentClearance','StudentAccommodation','PaymentsFolder')"
-              href="edit" tal:attributes="href string:${row/url}/external_edit_form"
-              target="edit"
-              onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
-              [edit]
-          </a> 
-          <a tal:condition="python: row['is_editable'] and row['type']=='StudentClearance'"
-              href="edit" tal:attributes="href string:${row/url}/external_clearance_edit_form"
-              target="edit"
-              onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
-              [edit and change state]
-          </a>  
-          <a tal:condition="python: context.isClearanceOfficer() and row['type']=='StudentClearance'"
-              href="edit" tal:attributes="href string:${row/url}/external_clearance_edit_form"
-              target="edit"
-              onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
-              [change state]
-          </a>                            
-          </td>
-          
-        </tr>
-        </span>
-        <tr tal:condition="info/session">
-          <td>
+        <table>
+          <tr>
+            <td width="220px">Registration Number:</td> 
+            <td><span tal:content="baseinfo/student/jamb_reg_no" /></td>
+          </tr>
+          <tr>
+            <td>Matriculation Number:</td> 
+            <td><span tal:content="baseinfo/student/matric_no" /></td>
+          </tr>      
+          <tr>
+            <td>Certificate Code:</td> 
+            <td><span tal:content="baseinfo/student/course" /></td>
+          </tr>
+          <tr>
+            <td>Faculty Id:</td>
+            <td tal:content="baseinfo/student/faculty" />
+          </tr>
+          <tr>
+            <td>Department Id:</td> 
+            <td><span tal:content="baseinfo/student/department" /></td>
+          </tr>
+          <tr>
+            <td>Current Session:</td> 
+            <td><span tal:content="python:context.portal_vocabularies.sessions.get(baseinfo['student']['session'])" /></td>
+          </tr>
+          <tr>
+            <td>Current Study Level:</td> 
+            <td><span tal:content="python:context.portal_vocabularies.student_levels.get(baseinfo['student']['level'])" /></td>
+          </tr>
+          <tr>
+            <td>Current Study Mode:</td> 
+            <td><span tal:content="python:context.portal_vocabularies.entry_modes.get(baseinfo['student']['mode'])" /></td>
+          </tr>        
+          <tr tal:define="verdict python:context.portal_vocabularies.verdicts.get(baseinfo['student']['verdict'])">
+            <td>Current Verdict:</td> 
+            <td><span tal:condition="verdict" tal:content="python:verdict.upper()" /></td>
+          </tr>
+        </table>           
+        <br />
+        <table tal:condition="is_staff" class="contentListing" width="100%" summary="content layout" id="folder_content">      
+          <span tal:repeat="row rows">
+            <tr tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+              <td><a href="view" tal:attributes="href string:${row/url}">
+                  <strong tal:content="row/title" /></a> </td>
+              <td> 
+                <a tal:condition="python: row['is_editable'] and not row['type'] in ('StudentClearance','StudentAccommodation','PaymentsFolder')"
+                   href="edit" tal:attributes="href string:${row/url}/external_edit_form"
+                   target="edit"
+                   onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
+                  [edit]
+                </a> 
+                <a tal:condition="python: row['is_editable'] and row['type']=='StudentClearance'"
+                   href="edit" tal:attributes="href string:${row/url}/external_clearance_edit_form"
+                   target="edit"
+                   onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
+                  [edit and change state]
+                </a>  
+                <a tal:condition="python: context.isClearanceOfficer() and row['type']=='StudentClearance'"
+                   href="edit" tal:attributes="href string:${row/url}/external_clearance_edit_form"
+                   target="edit"
+                   onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
+                  [change state]
+                </a>                            
+              </td>
+            </tr>
+          </span>
+          <tr tal:condition="info/session">
+            <td>
               <a href="edit" tal:attributes="href string:session_results_view">
-              <strong>Session Results</strong>
-          </a>             
-          </td>
-          <td>
-             &nbsp;
-          </td>
-        </tr>
-      </table>
-      
-                
-      
-      <form action="mail_password_form" method="post" class="group"
-            tal:condition="is_staff"
-            tal:attributes="action string:${context/absolute_url}/mail_password_form">
-         <br />
-         <input type="submit" class="context" value="Send Email with Authentication Data" />
-      </form>
-
-
-      <div tal:condition="python:info['review_state']=='deactivated'">
-      <font color="red">This student record has been deactivated!</font>
-      </div>
-      
-
-      <table tal:condition="python:is_student and info['review_state']!='deactivated'" class="contentListing" width="" summary="content layout" id="folder_content">      
-        <span tal:repeat="row rows">
-          <tr tal:condition="row/display">
-            <td width="220px"><a href="view" tal:condition="row/s_view_link"
-                   tal:attributes="href string:${row/s_view_link}">
-                <strong tal:content="row/title" /></a>
-             <strong tal:condition="not:row/s_view_link" tal:content="row/title" />
+                <strong>Session Results</strong>
+              </a>             
             </td>
-  
-            <td align="left"> 
+            <td>
+              &nbsp;
+            </td>
+          </tr>
+        </table>
+        <form action="mail_password_form" method="post" class="group"
+              tal:condition="is_staff"
+              tal:attributes="action string:${context/absolute_url}/mail_password_form">
+          <br />
+          <input type="submit" class="context" value="Send Email with Authentication Data" />
+        </form>
+        <div tal:condition="python:info['review_state']=='deactivated'">
+          <font color="red">This student record has been deactivated!</font>
+        </div>
+        <table tal:condition="python:is_student and info['review_state']!='deactivated'" class="contentListing" width="" summary="content layout" id="folder_content">      
+          <span tal:repeat="row rows">
+            <tr tal:condition="row/display">
+              <td width="220px"><a href="view" tal:condition="row/s_view_link"
+                                   tal:attributes="href string:${row/s_view_link}">
+                  <strong tal:content="row/title" /></a>
+                <strong tal:condition="not:row/s_view_link" tal:content="row/title" />
+              </td>
+              <td align="left"> 
                 <span tal:content="row/review_state" />
-            </td>          
-            
-            <td width="40px" align="center"> 
-              <a tal:condition="python: row['s_edit_link'] and row['is_editable']"
-                 href="edit" tal:attributes="href string:${row/s_edit_link}">
-                [edit]
-              </a>     
-            </td>                 
-            
-  
+              </td>          
+              <td width="40px" align="center"> 
+                <a tal:condition="python: row['s_edit_link'] and row['is_editable']"
+                   href="edit" tal:attributes="href string:${row/s_edit_link}">
+                  [edit]
+                </a>     
+              </td>                 
+            </tr>
+          </span>
+          <tr tal:condition="info/session">
+            <td>
+              <a href="edit" tal:attributes="href string:session_results_view">
+                <strong>Session Results</strong>
+              </a>             
+            </td>
+            <td>
+              &nbsp;
+            </td>
           </tr>
-        </span>
-        <tr tal:condition="info/session">
-          <td>
-              <a href="edit" tal:attributes="href string:session_results_view">
-              <strong>Session Results</strong>
-          </a>             
-          </td>
-          <td>
-             &nbsp;
-          </td>
-        </tr>
-      </table>
-
-      
+        </table>
+      </metal:block>
     </metal:block>
-    </metal:block>
-    </metal:main>
+  </metal:main>
 </metal:body>
Index: WAeUP_SRP/base/skins/waeup_student/study_level_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/study_level_view.pt	(revision 2634)
+++ WAeUP_SRP/base/skins/waeup_student/study_level_view.pt	(revision 2640)
@@ -36,5 +36,5 @@
       <span tal:condition="is_student">My </span>
       
-      Course Registration Form for <span tal:content="here/title_or_id" />
+      Course Registration Form for <span tal:content="here/Title" />
     </h3>
              