Index: WAeUP_SRP/base/skins/waeup_student/course_registration_slip.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/course_registration_slip.pt	(revision 2648)
+++ WAeUP_SRP/base/skins/waeup_student/course_registration_slip.pt	(revision 2649)
@@ -81,5 +81,5 @@
        <span tal:repeat="sem python:('1','2')">       
                     
-        <th colspan="3" tal:content="python: test(sem == '1','First Semester', 'Second Semester')" />                
+        <tr><th colspan="3" tal:content="python: test(sem == '1','First Semester', 'Second Semester')" /></tr>            
         <tr tal:repeat="row python: test(sem == '1',info['normal1'],info['normal2'])"
             tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
@@ -120,5 +120,4 @@
         
         </span>        
-        
           <tr>
             <td width="84%" colspan="2" align="right">Total Credits:</td>
Index: WAeUP_SRP/base/skins/waeup_student/getStudentLevelsVoc.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/getStudentLevelsVoc.py	(revision 2648)
+++ WAeUP_SRP/base/skins/waeup_student/getStudentLevelsVoc.py	(revision 2649)
@@ -19,12 +19,12 @@
             voc += ("%s" % l,"%s (spillover)" % context.portal_vocabularies.levels.get("%d00" % (level_nr - 1))),
         elif repeat > 0:
-            voc += ("%s" % l,"%s (on %d. probation)" % 
+            voc += ("%s" % l,"%s (on %d. probation)" %
                     (context.portal_vocabularies.levels.get("%d00" % (level_nr)),
                                                             (repeat // 10))),
         else:
-            voc += ("%s" % l,"%s" % 
+            voc += ("%s" % l,"%s" %
                     (context.portal_vocabularies.levels.get("%d00" % (level_nr)))),
     return voc
-        
+
 try:
     ikey = int(key)
@@ -36,8 +36,8 @@
 level = context.portal_vocabularies.levels.get("%d00" % level_nr)
 if level_nr > end_level/100:
-    return "%s spillover" % context.portal_vocabularies.levels.get("%d00" % (level_nr - 1))
+    return "%s Spillover" % context.portal_vocabularies.levels.get("%d00" % (level_nr - 1))
 
 if repeat > 0:
-    level += " on %d. probation" % (repeat // 10)
+    level += " on %d. Probation" % (repeat // 10)
 
 return level
Index: WAeUP_SRP/base/skins/waeup_student/getStudyLevelInfo.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/getStudyLevelInfo.py	(revision 2648)
+++ WAeUP_SRP/base/skins/waeup_student/getStudyLevelInfo.py	(revision 2649)
@@ -86,4 +86,7 @@
 info['normal3'] = normal3
 
+info['data_missing'] = not info['normal1'] and not info['normal2'] and not info['normal3'] 
+info['spillover'] = student.level > student.end_level
+
 students_object = context.portal_url.getPortalObject().campus.students
 student = getattr(students_object, student_id)
Index: WAeUP_SRP/base/skins/waeup_student/study_level_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/study_level_view.pt	(revision 2648)
+++ WAeUP_SRP/base/skins/waeup_student/study_level_view.pt	(revision 2649)
@@ -67,10 +67,14 @@
       </span> 
       <br />
+
+      <div class="" tal:condition="python: info['data_missing'] and not info['spillover']">
+        <font color="red">Your faculty has not yet provided the list of courses for your certificate. Please contact your faculty!</font>
+        <br /><br />
+      </div>
+       
+      <span tal:condition="not:info/data_missing" tal:omit-tag=""> 
       <h4>Session Courses</h4>
       <br />
-    <div class="" tal:condition="python: not (info['normal1'] or info['normal2'] or info['normal3'])">
-      <font color="red">Your faculty has not yet provided the list of courses for your certificate. Please contact your faculty!</font>
-      <br /><br />
-    </div>
+
       <table class="contentListing" width="100%" id="folder_content">
         
@@ -140,5 +144,5 @@
         </tr>
       </table>
-
+      </span>
       
     