Index: WAeUP_SRP/base/skins/waeup_default/getNextSessionId.py_deprecated
===================================================================
--- WAeUP_SRP/base/skins/waeup_default/getNextSessionId.py_deprecated	(revision 2652)
+++ 	(revision )
@@ -1,22 +1,0 @@
-## Script (Python) "getSessionId"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=session
-##title=
-##
-# $Id: getNextSessionId.py 1771 2007-05-11 11:37:16Z henrik $
-"""
-return the next Session Id
-"""
-
-if session != context.getSessionId()[-2:]:
-    ns = int(session) + 1
-else:
-    ns = int(session)
-ns = "%02d" % ns
-ns_str = context.portal_vocabularies.sessions.get(ns)
-
-return ns,ns_str
Index: WAeUP_SRP/base/skins/waeup_default/getSessionId.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_default/getSessionId.py	(revision 2652)
+++ WAeUP_SRP/base/skins/waeup_default/getSessionId.py	(revision 2653)
@@ -10,16 +10,6 @@
 # $Id$
 """
-return the Session Id
+return the Portal Session Id
 """
-
-# must be changed in 2007/2008; should return only the last two digits
-
-#import DateTime
-#now = DateTime.DateTime()
-#if now.month() > 11:
-#    s = "%s" % now.year()
-#else:
-#    s = "%s" % (now.year() - 1)
-#return s
 
 session_id = context.portal_properties.session[2:4]
Index: WAeUP_SRP/base/skins/waeup_default/getSessionsVoc.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_default/getSessionsVoc.py	(revision 2653)
+++ WAeUP_SRP/base/skins/waeup_default/getSessionsVoc.py	(revision 2653)
@@ -0,0 +1,25 @@
+##parameters=key=None
+# $Id: getSessionsVoc.py 1986 2007-07-05 09:10:38Z henrik $
+"""
+Return the sessions as a vocabulary
+
+"""
+if key is None:
+    # not used for WAeUPSessionWidget, only for SelectWidget
+    l = [('-1','')]
+    for y in range(1998,2010):
+        l.append( ('%s' % str(y)[-2:],'%4d/%4d' % (y,y+1)))
+    return l
+
+try:
+    y = int(key)
+except:
+    return ''
+if y == -1:
+    return ''
+if y < 90:
+    cent = 2000
+else:
+    cent = 1900
+return "%4d/%4d" % (cent+y, cent+y+1)
+
Index: WAeUP_SRP/base/skins/waeup_default/sessions_voc.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_default/sessions_voc.py	(revision 2652)
+++ 	(revision )
@@ -1,25 +1,0 @@
-##parameters=key=None
-# $Id$
-"""
-Return the sessions as an vocabulary
-
-"""
-if key is None:
-    # not used for WAeUPSessionWidget, only for SelectWidget
-    l = [('-1','N/A')]
-    for y in range(1998,2008):
-        l.append( ('%s' % str(y)[-2:],'%4d/%4d' % (y,y+1)))
-    return l
-
-try:
-    y = int(key)
-except:
-    return 'N/A'
-if y == -1:
-    return 'N/A' 
-if y < 90:
-    cent = 2000
-else:
-    cent = 1900
-return "%4d/%4d" % (cent+y, cent+y+1)
-
Index: WAeUP_SRP/base/skins/waeup_epayment/getSchoolFee.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_epayment/getSchoolFee.py	(revision 2652)
+++ WAeUP_SRP/base/skins/waeup_epayment/getSchoolFee.py	(revision 2653)
@@ -105,12 +105,4 @@
          }
 
-#sessionstring = "School Fee for Session %s" % context.portal_vocabularies.sessions.get(session)
-# sessionstring = "School Fee for Session %s" % context.sessions_voc(key=session)
-# fee_1_data = ("22200",sessionstring)
-# fee_2_data = ("23700",sessionstring)
-
-# if faculty in fee1:
-#     return fee_1_data
-# return fee_2_data
 d = {}
 if brain.mode.endswith('_ft'):
@@ -120,8 +112,8 @@
     d['new'] = session_fees[brain.session][f]
     d['returning'] = 'not set'
-    d['description'] = "School Fee for Session %s" % context.sessions_voc(key=brain.session)
+    d['description'] = "School Fee for Session %s" % context.getSessionsVoc(key=brain.session)
 if pt_fees.has_key(brain.course):
     d = pt_fees[brain.course]
-    d['description'] = "School Fee for Session %s, %s" % (context.sessions_voc(key=brain.session),
+    d['description'] = "School Fee for Session %s, %s" % (context.getSessionsVoc(key=brain.session),
                                                          d['description'])
 return d
Index: WAeUP_SRP/base/skins/waeup_student/get_levels_voc.py_deprecated
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/get_levels_voc.py_deprecated	(revision 2652)
+++ 	(revision )
@@ -1,12 +1,0 @@
-##parameters=key=None
-# $Id: get_levels_voc.py 2133 2007-08-20 21:38:24Z henrik $
-"""
-Return the levels as an vocabulary
-
-"""
-if key is None:
-    return [("%s" % l,"Level %s" % l) for l in range(100,700,100)]
-if not int(key) % 100:
-    return "Level %s" % key
-return "Level %s0 (on probation)" % key[:-1]
-
Index: WAeUP_SRP/fceokene/profiles/default/vocabularies/sessions.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/vocabularies/sessions.xml	(revision 2652)
+++ WAeUP_SRP/fceokene/profiles/default/vocabularies/sessions.xml	(revision 2653)
@@ -5,5 +5,5 @@
  <property name="title_msgid"></property>
  <property name="description"></property>
- <property name="get_vocabulary_method">sessions_voc</property>
+ <property name="get_vocabulary_method">getSessionsVoc</property>
  <property name="add_empty_key">False</property>
  <property name="empty_key_pos">first</property>