Index: WAeUP_SRP/fceokene/profiles/default/layouts/student_application.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/student_application.xml	(revision 2638)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/student_application.xml	(revision 2669)
@@ -9,10 +9,10 @@
  <property name="validate_values_expr"></property>
  <widget name="app_ac_date" meta_type="DateTime Widget">
-  <property name="title">Application Date</property>
+  <property name="title">Admission Checking Date</property>
   <property name="fields">
    <element value="app_ac_date"/>
   </property>
-  <property name="label">Application Date</property>
-  <property name="label_edit">Application Date</property>
+  <property name="label">Admission Checking Date</property>
+  <property name="label_edit">Admission Checking Date</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -26,10 +26,10 @@
  </widget>
  <widget name="app_ac_pin" meta_type="Scratchcard Pin Widget">
-  <property name="title">Access Code</property>
+  <property name="title">Admission Checking PIN</property>
   <property name="fields">
    <element value="app_ac_pin"/>
   </property>
-  <property name="label">Access Code</property>
-  <property name="label_edit">Access Code</property>
+  <property name="label">Admission Checking PIN</property>
+  <property name="label_edit">Admission Checking PIN</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -237,4 +237,19 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
+ <widget name="course3" meta_type="String Widget">
+  <property name="title">Third Choice Course of Study</property>
+  <property name="fields">
+   <element value="course3"/>
+  </property>
+  <property name="label">Third Choice Course of Study</property>
+  <property name="label_edit">Third Choice Course of Study</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget> 
 
  <widget name="jamb_sex" meta_type="String Widget">
@@ -510,4 +525,8 @@
    <cell name="jamb_second_cos" ncols="3"/>
   </row>
+  <row>
+   <cell name="course3" ncols="3"/>
+  </row>
+  
 
 
Index: WAeUP_SRP/fceokene/profiles/default/layouts/student_clearance.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/student_clearance.xml	(revision 2638)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/student_clearance.xml	(revision 2669)
@@ -8,4 +8,57 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
+
+ <widget name="firstname" meta_type="String Widget">
+  <property name="title">First Name</property>
+  <property name="fields">
+   <element value="firstname"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">First Name</property>
+  <property name="label_edit">First Name</property>
+  <property
+     name="help"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ 
+ <widget name="middlename" meta_type="String Widget">
+  <property name="title">Middle Name</property>
+  <property name="fields">
+   <element value="middlename"/>
+  </property>
+  <property name="label">Middle Name</property>
+  <property name="label_edit">Middle Name</property>
+  <property
+     name="help"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ 
+ <widget name="lastname" meta_type="String Widget">
+  <property name="title">Last Name (Surname)</property>
+  <property name="fields">
+   <element value="lastname"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Last Name (Surname)</property>
+  <property name="label_edit">Last Name (Surname)</property>
+  <property
+     name="help"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+
+
  <widget name="acc_inst" meta_type="File Image Widget">
   <property name="title">Accepted by Institution</property>
@@ -83,5 +136,5 @@
   <property name="description">Advanced Level Data</property>
   <property
-     name="help">Full name as it appears on certificate/result</property>
+     name="help"></property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -221,5 +274,5 @@
   <property name="label_edit">Deferment of Admission</property>
   <property
-     name="help">Tick this box if you wish to defer admission till next session.</property>
+     name="help"></property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -336,5 +389,5 @@
   <property name="description">First Sitting Data</property>
   <property
-     name="help">Full name as it appears on certificate/result</property>
+     name="help"></property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -651,5 +704,5 @@
   <property name="description">Second Sitting Data</property>
   <property
-     name="help">Full name as it appears on certificate/result</property>
+     name="help"></property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -748,4 +801,13 @@
  <table>
   <row>
+   <cell name="firstname"/>
+  </row>
+  <row>
+   <cell name="middlename"/>
+  </row>
+  <row>
+   <cell name="lastname"/>
+  </row>     
+  <row>
    <cell name="matric_no"/>
   </row>
Index: WAeUP_SRP/fceokene/profiles/default/layouts/student_clearance_fe.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/student_clearance_fe.xml	(revision 2638)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/student_clearance_fe.xml	(revision 2669)
@@ -8,4 +8,56 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
+ 
+ 
+  <widget name="firstname" meta_type="String Widget">
+  <property name="title">First Name</property>
+  <property name="fields">
+   <element value="firstname"/>
+  </property>
+  <property name="label">First Name</property>
+  <property name="label_edit">First Name</property>
+  <property name="is_required">False</property>
+  <property
+     name="help">Please confirm your first name. After clearance this name will appear on all documents.</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ 
+ <widget name="middlename" meta_type="String Widget">
+  <property name="title">Middle Name</property>
+  <property name="fields">
+   <element value="middlename"/>
+  </property>
+  <property name="label">Middle Name</property>
+  <property name="label_edit">Middle Name</property>
+  <property
+     name="help">Please confirm your middle name. After clearance this name will appear on all documents.</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ 
+ <widget name="lastname" meta_type="String Widget">
+  <property name="title">Last Name (Surname)</property>
+  <property name="fields">
+   <element value="lastname"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Last Name (Surname)</property>
+  <property name="label_edit">Last Name (Surname)</property>
+  <property
+     name="help">Please confirm your surname. After clearance this name will appear on all documents.</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ 
  <widget name="acc_inst" meta_type="File Image Widget">
   <property name="title">Accepted by Institution</property>
@@ -562,4 +614,5 @@
   <property name="hidden_layout_modes">
    <element value="create"/>
+   <element value="edit"/>   
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -579,4 +632,5 @@
    <property name="hidden_layout_modes">
      <element value="create"/>
+     <element value="edit"/>
    </property>
    <property name="hidden_readonly_layout_modes"/>
@@ -753,4 +807,14 @@
  </widget>
  <table>
+ 
+  <row>
+   <cell name="firstname"/>
+  </row>
+  <row>
+   <cell name="middlename"/>
+  </row>
+  <row>
+   <cell name="lastname"/>
+  </row>    
   <row>
    <cell name="matric_no"/>