Index: WAeUP_SRP/base/WAeUPTool.py
===================================================================
--- WAeUP_SRP/base/WAeUPTool.py	(revision 2669)
+++ WAeUP_SRP/base/WAeUPTool.py	(revision 2670)
@@ -760,11 +760,8 @@
             sex = 'F'
         da['jamb_sex'] = sex
+        da['jamb_age'] = brain.jamb_age
         #da['app_ac_pin'] = brain.pin
-        #if brain.lga:
-        #    state_lga = brain.lga.split('_')
-        #    da['state_lga'] = state_lga[0]
-        #    da['jamb_lga'] = state_lga[-1]
-        da['state_lga'] = brain.jamb_lga
-        da['jamb_lga'] = brain.jamb_state
+        da['jamb_lga'] = brain.jamb_lga
+        da['jamb_state'] = brain.jamb_state
         da['jamb_score'] = brain.aggregate
         da['app_email'] = brain.email
@@ -781,5 +778,5 @@
         da['jamb_lastname'] = brain.lastname
         da['jamb_middlename'] = brain.middlenames   # different field names!
-        da['firstname'] = brain.firstname
+        da['jamb_firstname'] = brain.firstname
         da['screening_application_date'] = brain.application_date
         da['date_of_birth'] = brain.date_of_birth
@@ -818,4 +815,5 @@
         dc = {'Title': 'Clearance/Eligibility Record'}
         dc['lga'] = brain.lga
+        dc['birthday'] = brain.date_of_birth
         clearance.getContent().edit(mapping=dc)
         #self.portal_workflow.doActionFor(clearance,'close',dest_container=clearance)
Index: WAeUP_SRP/base/skins/waeup_epayment/dumpSCPayments.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_epayment/dumpSCPayments.py	(revision 2669)
+++ WAeUP_SRP/base/skins/waeup_epayment/dumpSCPayments.py	(revision 2670)
@@ -25,5 +25,5 @@
 import logging
 import DateTime
-logger = logging.getLogger('Skins.dumpSCPayments.py')
+logger = logging.getLogger('Skins.dumpSCPayments')
 from Products.AdvancedQuery import Eq, Between, Le,In
 aq_pins = context.portal_pins.evalAdvancedQuery
@@ -44,5 +44,5 @@
 
 used_query = ~Eq('student','') & ~In('prefix_batch',('APP1','APP2','APP3','APP4','APP5',))
-              
+
 pins = aq_pins(used_query,sortSpecs=('student',))
 #set_trace()
@@ -82,5 +82,5 @@
                 #     break
             count += 1
-        student_id = d['student_id'] = pin.student 
+        student_id = d['student_id'] = pin.student
         costs = ["%8.2f" % cost_dict[pin.prefix_batch],]
         pins = [pin.pin,]
@@ -94,4 +94,4 @@
 logger.info('%s dumped sc payments to %s' % (member,csv_name))
 logger.info("finished for %d students total N %12.2f %12.2f Euros" % (count,sum_total,sum_total/170))
-    
-    
+
+
Index: WAeUP_SRP/base/skins/waeup_layout/layout_clearance_edit.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_layout/layout_clearance_edit.pt	(revision 2669)
+++ WAeUP_SRP/base/skins/waeup_layout/layout_clearance_edit.pt	(revision 2670)
@@ -40,8 +40,9 @@
               <label tal:content="widget/label_edit"
                      tal:attributes="for cell/widget_input_area_id|nothing;">label</label>:
-            </div>
+            
             <button type="button" class="tooltipControl"
                     tal:condition="widget/help"
                     tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
+            </div>        
             </td>
             <td valign="bottom">
Index: WAeUP_SRP/base/skins/waeup_layout/layout_waeup_edit.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_layout/layout_waeup_edit.pt	(revision 2669)
+++ WAeUP_SRP/base/skins/waeup_layout/layout_waeup_edit.pt	(revision 2670)
@@ -56,8 +56,9 @@
               tal:content="widget/label_edit"
               tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
-          </div>
+          
           <button type="button" class="tooltipControl"
                   tal:condition="widget/help"
                   tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
+          </div>
           <div class="field">
             <div tal:replace="structure cell/widget_rendered"/>
Index: WAeUP_SRP/base/skins/waeup_student/application_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/application_view.pt	(revision 2669)
+++ WAeUP_SRP/base/skins/waeup_student/application_view.pt	(revision 2670)
@@ -7,13 +7,5 @@
       <span tal:condition="info">
             
-        <div style="text-align: right" tal:define="review_state info/review_state"
-             tal:condition="python:review_state not in ('created','application_pin_entered',)">
-        <a href="" target="slip" tal:attributes="href string:application_slip"
-            onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
-            <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
-            Application Slip
-        </a>
-        
-          </div>
+
         <a href=""
            tal:attributes="href string:${here/academicsParent}">
Index: WAeUP_SRP/base/skins/waeup_student/apply_admission.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/apply_admission.py	(revision 2669)
+++ WAeUP_SRP/base/skins/waeup_student/apply_admission.py	(revision 2670)
@@ -68,5 +68,5 @@
         if not object['passport']:
                 object['passport'] = ''
-        if object['status'] and ('submitted' in object['status'] or 'admitted' in object['status']):
+        if object['status'] and ('submitted' in object['status'] or 'admitted' in object['status'] or 'created' in object['status']):
             submitted = True
 
Index: WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt	(revision 2669)
+++ WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt	(revision 2670)
@@ -73,5 +73,5 @@
           <metal:block tal:condition="python:info['status'] == 'created'">
               <br />
-                <strong>You that you have been provisionally admitted into University of Benin. Your member record has been created. 
+                <strong>You have been provisionally admitted into University of Benin. Your member record has been created. 
                         Please purchase a second Application Scratch Card and proceed to 'Check Admission'.</strong>
               <br />  <br />  
Index: WAeUP_SRP/base/skins/waeup_student/clearance_edit.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/clearance_edit.py	(revision 2669)
+++ WAeUP_SRP/base/skins/waeup_student/clearance_edit.py	(revision 2670)
@@ -74,6 +74,15 @@
     #from Products.zdb import set_trace
     #set_trace()
-    info['clear_doc'].edit(mapping = {'cleared_date': current,})
+    clear_doc.edit(mapping = {'cleared_date': current,})
     wftool.doActionFor(info['student'],'clear_and_validate')
+    
+    if info['per_review_state'] != 'opened':
+        wftool.doActionFor(info['per'],'open')
+    
+    per_doc = info['per'].getContent()
+    per_doc.edit(mapping = {'firstname': clear_doc.firstname, 'middlename': clear_doc.middlename, 'lastname': clear_doc.lastname,})
+    
+    
+    
     psm = "Clearance and eligibility record is validated and student is cleared!"
 elif clear_and_validate_button and info['review_state'] == "cleared_and_validated":
@@ -103,10 +112,13 @@
             req_found = [scan for scan in required_scans if scan in files]
             birth_found = "age_dec" in files or "birth_certificate" in files
-            if not req_found or not birth_found:
-                logger.info('%s requested clearance with documents missing' % (student_id))
-                psm = "You have not uploaded all necessary documents to request clearance!"
+            #if not req_found or not birth_found:
+            #    logger.info('%s requested clearance with documents missing' % (student_id))
+            #    psm = "You have not uploaded all necessary documents to request clearance!"
+            if not clear_doc.firstname or not clear_doc.lastname:
+                logger.info('%s requested clearance without confirming name' % (student_id))
+                psm = "Please fill the name fields! First and last name are required. "            
             else:
                 logger.info('%s requested clearance' % (student_id))
-                info['clear_doc'].edit(mapping = {'request_date': current,})
+                clear_doc.edit(mapping = {'request_date': current,})
                 wftool.doActionFor(info['clear'],'close')
                 wftool.doActionFor(info['student'],'request_clearance',dest_container=1)
Index: WAeUP_SRP/base/skins/waeup_student/getClearanceInfo.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/getClearanceInfo.py	(revision 2669)
+++ WAeUP_SRP/base/skins/waeup_student/getClearanceInfo.py	(revision 2670)
@@ -53,4 +53,6 @@
 info['clear_doc'] = student.clearance.getContent()
 info['clear_review_state'] = wf.getInfoFor(student.clearance,'review_state',None)
+info['per'] = student.personal
+info['per_review_state'] = wf.getInfoFor(student.personal,'review_state',None)
 if info['review_state'] in ('clearance_requested', 'cleared_and_validated',):
     info['penalty'] = info['penalty'] and\
Index: WAeUP_SRP/uniben/profiles/default/layouts/student_application.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/student_application.xml	(revision 2669)
+++ WAeUP_SRP/uniben/profiles/default/layouts/student_application.xml	(revision 2670)
@@ -9,10 +9,10 @@
  <property name="validate_values_expr"></property>
  <widget name="app_ac_date" meta_type="DateTime Widget">
-  <property name="title">Application Date</property>
+  <property name="title">Admission Checking Date</property>
   <property name="fields">
    <element value="app_ac_date"/>
   </property>
-  <property name="label">Application Date</property>
-  <property name="label_edit">Application Date</property>
+  <property name="label">Admission Checking Date</property>
+  <property name="label_edit">Admission Checking Date</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -26,10 +26,10 @@
  </widget>
  <widget name="app_ac_pin" meta_type="Scratchcard Pin Widget">
-  <property name="title">Access Code</property>
+  <property name="title">Admission Checking PIN</property>
   <property name="fields">
    <element value="app_ac_pin"/>
   </property>
-  <property name="label">Access Code</property>
-  <property name="label_edit">Access Code</property>
+  <property name="label">Admission Checking PIN</property>
+  <property name="label_edit">Admission Checking PIN</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -237,4 +237,19 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
+ <widget name="course3" meta_type="String Widget">
+  <property name="title">Third Choice Course of Study</property>
+  <property name="fields">
+   <element value="course3"/>
+  </property>
+  <property name="label">Third Choice Course of Study</property>
+  <property name="label_edit">Third Choice Course of Study</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget> 
 
  <widget name="jamb_sex" meta_type="String Widget">
@@ -510,4 +525,8 @@
    <cell name="jamb_second_cos" ncols="3"/>
   </row>
+  <row>
+   <cell name="course3" ncols="3"/>
+  </row>
+  
 
 
Index: WAeUP_SRP/uniben/profiles/default/layouts/student_clearance.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/student_clearance.xml	(revision 2669)
+++ WAeUP_SRP/uniben/profiles/default/layouts/student_clearance.xml	(revision 2670)
@@ -8,4 +8,57 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
+
+ <widget name="firstname" meta_type="String Widget">
+  <property name="title">First Name</property>
+  <property name="fields">
+   <element value="firstname"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">First Name</property>
+  <property name="label_edit">First Name</property>
+  <property
+     name="help"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ 
+ <widget name="middlename" meta_type="String Widget">
+  <property name="title">Middle Name</property>
+  <property name="fields">
+   <element value="middlename"/>
+  </property>
+  <property name="label">Middle Name</property>
+  <property name="label_edit">Middle Name</property>
+  <property
+     name="help"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ 
+ <widget name="lastname" meta_type="String Widget">
+  <property name="title">Last Name (Surname)</property>
+  <property name="fields">
+   <element value="lastname"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Last Name (Surname)</property>
+  <property name="label_edit">Last Name (Surname)</property>
+  <property
+     name="help"></property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+
+
  <widget name="acc_inst" meta_type="File Image Widget">
   <property name="title">Accepted by Institution</property>
@@ -83,5 +136,5 @@
   <property name="description">Advanced Level Data</property>
   <property
-     name="help">Full name as it appears on certificate/result</property>
+     name="help"></property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -221,5 +274,5 @@
   <property name="label_edit">Deferment of Admission</property>
   <property
-     name="help">Tick this box if you wish to defer admission till next session.</property>
+     name="help"></property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -336,5 +389,5 @@
   <property name="description">First Sitting Data</property>
   <property
-     name="help">Full name as it appears on certificate/result</property>
+     name="help"></property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -651,5 +704,5 @@
   <property name="description">Second Sitting Data</property>
   <property
-     name="help">Full name as it appears on certificate/result</property>
+     name="help"></property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -748,4 +801,13 @@
  <table>
   <row>
+   <cell name="firstname"/>
+  </row>
+  <row>
+   <cell name="middlename"/>
+  </row>
+  <row>
+   <cell name="lastname"/>
+  </row>     
+  <row>
    <cell name="matric_no"/>
   </row>
Index: WAeUP_SRP/uniben/profiles/default/layouts/student_clearance_fe.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/student_clearance_fe.xml	(revision 2669)
+++ WAeUP_SRP/uniben/profiles/default/layouts/student_clearance_fe.xml	(revision 2670)
@@ -8,4 +8,56 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
+ 
+ 
+  <widget name="firstname" meta_type="String Widget">
+  <property name="title">First Name</property>
+  <property name="fields">
+   <element value="firstname"/>
+  </property>
+  <property name="label">First Name</property>
+  <property name="label_edit">First Name</property>
+  <property name="is_required">False</property>
+  <property
+     name="help">Please confirm your first name. After clearance this name will appear on all documents.</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ 
+ <widget name="middlename" meta_type="String Widget">
+  <property name="title">Middle Name</property>
+  <property name="fields">
+   <element value="middlename"/>
+  </property>
+  <property name="label">Middle Name</property>
+  <property name="label_edit">Middle Name</property>
+  <property
+     name="help">Please confirm your middle name. After clearance this name will appear on all documents.</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ 
+ <widget name="lastname" meta_type="String Widget">
+  <property name="title">Last Name (Surname)</property>
+  <property name="fields">
+   <element value="lastname"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Last Name (Surname)</property>
+  <property name="label_edit">Last Name (Surname)</property>
+  <property
+     name="help">Please confirm your surname. After clearance this name will appear on all documents.</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ 
  <widget name="acc_inst" meta_type="File Image Widget">
   <property name="title">Accepted by Institution</property>
@@ -562,4 +614,5 @@
   <property name="hidden_layout_modes">
    <element value="create"/>
+   <element value="edit"/>   
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -579,4 +632,5 @@
    <property name="hidden_layout_modes">
      <element value="create"/>
+     <element value="edit"/>
    </property>
    <property name="hidden_readonly_layout_modes"/>
@@ -753,4 +807,14 @@
  </widget>
  <table>
+ 
+  <row>
+   <cell name="firstname"/>
+  </row>
+  <row>
+   <cell name="middlename"/>
+  </row>
+  <row>
+   <cell name="lastname"/>
+  </row>    
   <row>
    <cell name="matric_no"/>
Index: WAeUP_SRP/uniben/profiles/default/schemas/student_clearance.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/schemas/student_clearance.xml	(revision 2669)
+++ WAeUP_SRP/uniben/profiles/default/schemas/student_clearance.xml	(revision 2670)
@@ -2,4 +2,8 @@
 <?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="student_clearance" meta_type="CPS Schema">
+
+ <field name="firstname" meta_type="CPS String Field"/>
+ <field name="middlename" meta_type="CPS String Field"/>
+ <field name="lastname" meta_type="CPS String Field"/>
 
  <field name="clr_ac_pin" meta_type="CPS String Field">