Index: WAeUP_SRP/base/skins/waeup_epayment/interswitch_cb.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_epayment/interswitch_cb.py	(revision 2677)
+++ WAeUP_SRP/base/skins/waeup_epayment/interswitch_cb.py	(revision 2678)
@@ -82,4 +82,5 @@
 next_transition = next_info['next_transition']
 next_verdict = next_info['next_verdict']
+previous_verdict = next_info['previous_verdict']
 
 if  resp == '00':
@@ -93,10 +94,10 @@
             pass
         verdict = s_brain.verdict
-        if verdict == 'N/A':
-            verdict = ''
+        if previous_verdict == 'N/A':
+            previous_verdict = ''
         study_course.getContent().edit(mapping= {'current_level': next_level_id,
                                                  'current_session': next_session_id,
                                                  'current_verdict': next_verdict,
-                                                 'previous_verdict': verdict,
+                                                 'previous_verdict': previous_verdict,
                                                  })
         if next_transition:
Index: WAeUP_SRP/base/skins/waeup_epayment/pay_by_sc.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_epayment/pay_by_sc.py	(revision 2677)
+++ WAeUP_SRP/base/skins/waeup_epayment/pay_by_sc.py	(revision 2678)
@@ -44,4 +44,5 @@
 next_transition = next_info['next_transition']
 next_verdict = next_info['next_verdict']
+next_previous_verdict = next_info['next_previous_verdict']
 
 validate = request.has_key("cpsdocument_create_button")
@@ -116,9 +117,8 @@
     except:
         pass
-    verdict = s_brain.verdict
     study_course.getContent().edit(mapping= {'current_level': next_level_id,
                                              'current_session': next_session_id,
                                              'current_verdict': next_verdict,
-                                             'previous_verdict': verdict,
+                                             'previous_verdict': next_previous_verdict,
                                              })
     if next_transition:
Index: WAeUP_SRP/base/skins/waeup_student/getNextInfo.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/getNextInfo.py	(revision 2677)
+++ WAeUP_SRP/base/skins/waeup_student/getNextInfo.py	(revision 2678)
@@ -35,4 +35,5 @@
 info['next_level_id'] = next_level_id = level_id
 info['next_verdict'] = verdict
+info['next_previous_verdict'] = ''
 verdicts_voc = context.portal_vocabularies.verdicts
 if review_state == 'cleared_and_validated':
@@ -44,4 +45,5 @@
         info['next_transition'] = "pay_school_fee"
         info['next_verdict'] = ''
+        info['next_previous_verdict'] = verdict
         if verdict in ('A','B',):
             info['next_level_id'] = "%s" % (int(level_id) + 100)
Index: WAeUP_SRP/base/skins/waeup_student/getStudyCourseInfo.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/getStudyCourseInfo.py	(revision 2677)
+++ WAeUP_SRP/base/skins/waeup_student/getStudyCourseInfo.py	(revision 2678)
@@ -94,10 +94,10 @@
                current_level == '100' or\
                (sbrain.mode.startswith('de') and current_level == '200'))
-               
+
 missing_data = has_paid and\
                current_level not in levels and\
                not (previous_verdict or sbrain.level) and\
                not (current_level == '100' or\
-               (sbrain.mode.startswith('de') and current_level == '200'))           
+               (sbrain.mode.startswith('de') and current_level == '200'))
 
 info['missing_data'] = missing_data
@@ -105,5 +105,5 @@
 info['create_level'] = None
 student_levels_voc = context.portal_vocabularies.student_levels
-if not missing_data:
+if may_register:
     info['create_level'] = current_level
     info['create_level_str'] = student_levels_voc.get(current_level)
Index: WAeUP_SRP/base/skins/waeup_student/study_course_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/study_course_view.pt	(revision 2677)
+++ WAeUP_SRP/base/skins/waeup_student/study_course_view.pt	(revision 2678)
@@ -141,5 +141,5 @@
     </form>  
     
-    <div tal:condition="not: create_level">
+    <div tal:condition="info/missing_data">
        <font color='red'>
           Your faculty has not yet provided the results and verdict of the previous session.