Index: /WAeUP_SRP/fceokene/profiles/default/layouts/payment.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/payment.xml	(revision 2680)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/payment.xml	(revision 2681)
@@ -15,5 +15,7 @@
   <property name="label">Amount Authorized</property>
   <property name="label_edit">Amount Authorized</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -39,5 +41,7 @@
   <property name="label">Response Amount Approved</property>
   <property name="label_edit">Response Amount Approved</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -51,5 +55,7 @@
   <property name="label">Response Reference</property>
   <property name="label_edit">Response Reference</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -63,5 +69,7 @@
   <property name="label">Response Card Used</property>
   <property name="label_edit">Response Card Used</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -75,5 +83,7 @@
   <property name="label">Response Code</property>
   <property name="label_edit">Response Code</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -86,5 +96,7 @@
  <property name="label">Response Description</property>
  <property name="label_edit">Response Description</property>
- <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
  <property name="hidden_layout_modes"/>
  <property name="hidden_readonly_layout_modes"/>
@@ -97,5 +109,7 @@
   <property name="label">Payment Code</property>
   <property name="label_edit">Payment Code</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -108,4 +122,6 @@
   <property name="label">Payment Description</property>
   <property name="label_edit">Payment Description</property>
+  <property name="display_width">40</property>
+  <property name="size_max">40</property>  
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
Index: eUP_SRP/fceokene/profiles/default/vocabularies/levels_voc.xml_deprecated
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/vocabularies/levels_voc.xml_deprecated	(revision 2680)
+++ 	(revision )
@@ -1,12 +1,0 @@
-<?xml version="1.0"?>
-<?xml-stylesheet type="text/xsl" href="vocabulary.xsl"?>
-<object name="levels_voc" meta_type="CPS Method Vocabulary">
- <property name="title"></property>
- <property name="title_msgid"></property>
- <property name="description"></property>
- <property name="get_vocabulary_method">get_levels_voc</property>
- <property name="add_empty_key">False</property>
- <property name="empty_key_pos">first</property>
- <property name="empty_key_value"></property>
- <property name="empty_key_value_i18n"></property>
-</object>
Index: /WAeUP_SRP/fceokene/profiles/default/vocabularies/local_gov_areas.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/vocabularies/local_gov_areas.xml	(revision 2680)
+++ /WAeUP_SRP/fceokene/profiles/default/vocabularies/local_gov_areas.xml	(revision 2681)
@@ -568,4 +568,6 @@
     <item key="kwara_oyun" msgid="">Kwara / Oyun</item>
     <item key="kwara_pategi" msgid="">Kwara / Pategi</item>
+    <item key="kwara_ifelodun" msgid="">Kwara / Ifelodun</item>
+    <item key="kwara_irepodun" msgid="">Kwara / Irepodun</item>    
     <item key="lagos_agege" msgid="">Lagos / Agege</item>
     <item key="lagos_ajeromi-ifelodun" msgid="">Lagos / Ajeromi-Ifelodun</item>