Index: /WAeUP_SRP/base/skins/waeup_statistics/getNewStudentStatistics.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_statistics/getNewStudentStatistics.py	(revision 2704)
+++ /WAeUP_SRP/base/skins/waeup_statistics/getNewStudentStatistics.py	(revision 2705)
@@ -25,5 +25,6 @@
 # in either of the last three states
 
-new_states =      ('admitted',
+new_states =      ('student_created',
+                   'admitted',
                    'clearance_pin_entered',
                    'objection_raised',
Index: /WAeUP_SRP/base/skins/waeup_statistics/getRetStudentStatistics.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_statistics/getRetStudentStatistics.py	(revision 2704)
+++ /WAeUP_SRP/base/skins/waeup_statistics/getRetStudentStatistics.py	(revision 2705)
@@ -21,4 +21,6 @@
 
 entry_sessions = ('','-1','94','95','96','97','98','99','00','01','02','03','04','05','06','0','1','2','3','4','5','6')
+
+current_session = context.getSessionId()[0]
 
 ret_states =      ('returning',
@@ -49,5 +51,5 @@
 for state in ret_states:
     # full_time
-    res_ft = context.students_catalog(entry_session = entry_sessions, review_state = state,  mode = full_time)
+    res_ft = context.students_catalog(entry_session = entry_sessions, review_state = state,  mode = full_time, session = current_session)
     state_ft = state + '_ft'
     dict[state_ft] = len(res_ft)
@@ -59,5 +61,5 @@
 
     # part_time
-    res_pt = context.students_catalog(entry_session = entry_sessions, review_state = state,  mode = part_time)
+    res_pt = context.students_catalog(entry_session = entry_sessions, review_state = state,  mode = part_time, session = current_session)
     state_pt = state + '_pt'
     dict[state_pt] = len(res_pt)
@@ -81,5 +83,5 @@
     for state in ret_states:
         # full_time
-        res_ft = context.students_catalog(entry_session = entry_sessions, faculty = f.getId, review_state = state, mode = full_time)
+        res_ft = context.students_catalog(entry_session = entry_sessions, faculty = f.getId, review_state = state, mode = full_time, session = current_session)
         state_ft = state + '_ft'
         dict[state_ft] = len(res_ft)
@@ -91,5 +93,5 @@
 
         # part_time
-        res_pt = context.students_catalog(entry_session = entry_sessions, faculty = f.getId, review_state = state, mode = part_time)
+        res_pt = context.students_catalog(entry_session = entry_sessions, faculty = f.getId, review_state = state, mode = part_time, session = current_session)
         state_pt = state + '_pt'
         dict[state_pt] = len(res_pt)
Index: /WAeUP_SRP/base/skins/waeup_statistics/getSimpleStudentStatistics.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_statistics/getSimpleStudentStatistics.py	(revision 2704)
+++ /WAeUP_SRP/base/skins/waeup_statistics/getSimpleStudentStatistics.py	(revision 2705)
@@ -20,5 +20,4 @@
     return
 
-#entry_sessions = ('-1','94','95','96','97','98','99','00','01','02','03','04','05','0','1','2','3','4','5')
 
 catA =      (      'school_fee_paid',
@@ -31,5 +30,6 @@
                    )
 
-catC =      (      'returning',
+catC =      (      'student_created',
+                   'returning',
                    'admitted',
                    'clearance_pin_entered',
@@ -38,4 +38,6 @@
                    'cleared_and_validated',
                    )
+
+current_session = context.getSessionId()[0]
 
 
@@ -65,20 +67,20 @@
 dict['total_dp'] = len(res_dp)
 
-res_Aft = context.students_catalog(review_state = catA, mode = full_time)
+res_Aft = context.students_catalog(review_state = catA, mode = full_time, session = current_session)
 dict['total_Aft'] = len(res_Aft)
 
-res_Apt = context.students_catalog(review_state = catA, mode = part_time)
+res_Apt = context.students_catalog(review_state = catA, mode = part_time, session = current_session)
 dict['total_Apt'] = len(res_Apt)
 
-res_Adp = context.students_catalog(review_state = catA, mode = diploma)
+res_Adp = context.students_catalog(review_state = catA, mode = diploma, session = current_session)
 dict['total_Adp'] = len(res_Adp)
 
-res_Bft = context.students_catalog(review_state = catB, mode = full_time)
+res_Bft = context.students_catalog(review_state = catB, mode = full_time, session = current_session)
 dict['total_Bft'] = len(res_Bft)
 
-res_Bpt = context.students_catalog(review_state = catB, mode = part_time)
+res_Bpt = context.students_catalog(review_state = catB, mode = part_time, session = current_session)
 dict['total_Bpt'] = len(res_Bpt)
 
-res_Bdp = context.students_catalog(review_state = catB, mode = diploma)
+res_Bdp = context.students_catalog(review_state = catB, mode = diploma, session = current_session)
 dict['total_Bdp'] = len(res_Bpt)
 
@@ -114,20 +116,20 @@
     dict['total_dp'] = len(res_dp)
 
-    res_Aft = context.students_catalog(faculty = f.getId, review_state = catA, mode = full_time)
+    res_Aft = context.students_catalog(faculty = f.getId, review_state = catA, mode = full_time, session = current_session)
     dict['total_Aft'] = len(res_Aft)
 
-    res_Apt = context.students_catalog(faculty = f.getId, review_state = catA, mode = part_time)
+    res_Apt = context.students_catalog(faculty = f.getId, review_state = catA, mode = part_time, session = current_session)
     dict['total_Apt'] = len(res_Apt)
 
-    res_Adp = context.students_catalog(faculty = f.getId, review_state = catA, mode = diploma)
+    res_Adp = context.students_catalog(faculty = f.getId, review_state = catA, mode = diploma, session = current_session)
     dict['total_Adp'] = len(res_Adp)
 
-    res_Bft = context.students_catalog(faculty = f.getId, review_state = catB, mode = full_time)
+    res_Bft = context.students_catalog(faculty = f.getId, review_state = catB, mode = full_time, session = current_session)
     dict['total_Bft'] = len(res_Bft)
 
-    res_Bpt = context.students_catalog(faculty = f.getId, review_state = catB, mode = part_time)
+    res_Bpt = context.students_catalog(faculty = f.getId, review_state = catB, mode = part_time, session = current_session)
     dict['total_Bpt'] = len(res_Bpt)
 
-    res_Bdp = context.students_catalog(faculty = f.getId, review_state = catB, mode = diploma)
+    res_Bdp = context.students_catalog(faculty = f.getId, review_state = catB, mode = diploma, session = current_session)
     dict['total_Bdp'] = len(res_Bpt)
 
Index: /WAeUP_SRP/base/skins/waeup_statistics/statistics_new_view.pt
===================================================================
--- /WAeUP_SRP/base/skins/waeup_statistics/statistics_new_view.pt	(revision 2704)
+++ /WAeUP_SRP/base/skins/waeup_statistics/statistics_new_view.pt	(revision 2705)
@@ -3,5 +3,6 @@
   <metal:block tal:define="faculties context/getNewStudentStatistics;
                         mtool here/portal_membership;
-                        member mtool/getAuthenticatedMember;">       
+                        member mtool/getAuthenticatedMember;
+                        session_str python:context.getSessionId()[1];">       
 
       <span tal:condition="not: faculties">
@@ -17,5 +18,5 @@
       </strong>     
 
-      <h3>New Student Statistics</h3>
+      <h3>New Student Statistics <span tal:content="session_str" /></h3>
       <br />      
       <span tal:condition="not:isAnon">
Index: /WAeUP_SRP/base/skins/waeup_statistics/statistics_ret_view.pt
===================================================================
--- /WAeUP_SRP/base/skins/waeup_statistics/statistics_ret_view.pt	(revision 2704)
+++ /WAeUP_SRP/base/skins/waeup_statistics/statistics_ret_view.pt	(revision 2705)
@@ -3,5 +3,6 @@
   <metal:block tal:define="faculties context/getRetStudentStatistics;
                         mtool here/portal_membership;
-                        member mtool/getAuthenticatedMember;">       
+                        member mtool/getAuthenticatedMember;
+                        session_str python:context.getSessionId()[1];">       
 
       <span tal:condition="not: faculties">
@@ -17,5 +18,5 @@
       </strong>     
 
-      <h3>Returning Student Statistics</h3>
+      <h3>Returning Student Statistics  <span tal:content="session_str" /></h3>
       <br />      
       <span tal:condition="not:isAnon">
@@ -40,4 +41,5 @@
                 <span tal:content="d/total_ft" />
               </td>
+                         
               <td width="80px" align="right"> 
                 <span tal:content="d/returning_ft" />
@@ -79,4 +81,5 @@
                 <span tal:content="d/total_pt" />
               </td>
+         
               <td width="80px" align="right"> 
                 <span tal:content="d/returning_pt" />
Index: /WAeUP_SRP/base/skins/waeup_statistics/statistics_simple_view.pt
===================================================================
--- /WAeUP_SRP/base/skins/waeup_statistics/statistics_simple_view.pt	(revision 2704)
+++ /WAeUP_SRP/base/skins/waeup_statistics/statistics_simple_view.pt	(revision 2705)
@@ -3,5 +3,6 @@
   <metal:block tal:define="faculties context/getSimpleStudentStatistics;
                         mtool here/portal_membership;
-                        member mtool/getAuthenticatedMember;">       
+                        member mtool/getAuthenticatedMember;
+                        session_str python:context.getSessionId()[1]">       
 
       <span tal:condition="not: faculties">
@@ -19,5 +20,5 @@
       </strong>     
 
-      <h3>Basic Student Statistics</h3>
+      <h3>Basic Student Statistics <span tal:content="session_str" /></h3>
       <br />      
       <span tal:condition="not:isAnon">
@@ -116,10 +117,9 @@
         <table   border=0>
 
-        <tr><td>Category A: </td> <td>students who paid their school fee</td></tr>
-        <tr><td>Category B: </td> <td>students who registered their courses online (A contains B)</td></tr>
-        <tr><td>Category C: </td> <td>students who have not yet paid their school fee</td></tr>
+        <tr><td>Category A: </td> <td>students who paid their school fee in <span tal:content="session_str" /></td></tr>
+        <tr><td>Category B: </td> <td>students who registered their courses online (A contains B) in <span tal:content="session_str" /></td></tr>
+        <tr><td>Category C: </td> <td>students who have not yet paid their school fee in <span tal:content="session_str" /></td></tr>
         <tr><td>&nbsp;</td><td>&nbsp;</td></tr>
-        <tr><td colspan="2"><strong>Notice:</strong> Category C is not complete. 
-                <span tal:content="python: faculties[0]['not_categorized']" /> returning full-time students have not yet logged in and are thus not categorized. 
+        <tr><td colspan="2">
              </td>
         </tr>